# NextLineToken

Property in [LineCancellationToken](/3.1/api/csharp/yarn.unity/yarn.unity.linecancellationtoken.md)

{% hint style="warning" %}
This property is obsolete and may be removed from a future version of Yarn Spinner: Please use NextContentToken instead.
{% endhint %}

## Summary

A `System.Threading.CancellationToken` that becomes cancelled when a [DialogueRunner](/3.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) wishes all dialogue presenters to stop running the current line. For example, on-screen UI should be dismissed, and any ongoing audio playback should be stopped.

```csharp
public readonly CancellationToken NextLineToken { get }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.linecancellationtoken/yarn.unity.linecancellationtoken.nextlinetoken.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
